/* ---- INSTA - PREMIER POST ----- */

.imo_insta{
  width: 500px;
  margin: auto;
  display: grid;
  grid-row-gap: 0px;
  background: var(--transp_2);
  box-shadow: var(--boxshadow);
  border-radius: 78px 8px 8px 8px;
  overflow: hidden;
}
.imo_insta br{ display: none; }
.imo_insta desc br{ display: block; }

imo_credits{
  display: block;
  text-align: center;
  font-size: 8px;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  font-weight: 600;
  opacity: 0.5;
  padding: 8px;
  line-height: 20px;
}
.imo_insta_Header{
  border-radius: 64px 0px 0px 0px;
  display: grid;
  grid-row-gap: 1px;
  margin: 16px;
}
.imo_insta_HeaderRow1{
  display: grid;
  grid-template-columns: 88px auto;
  grid-column-gap: 16px;
  padding: 16px;
  background-color: var(--transp_1);
  border-radius: 64px 4px 0px 0px;
  overflow: hidden;
}
instapp{ position: relative; text-align: center; }
instapp img.imo_insta_pp {
  border-radius: 50%;
  height: 72px;
  width: 72px;
  position: relative;
  top: 8px;
  object-fit: cover;
  z-index: 2;
}
instapp:after {
  z-index: 1;
  content: " ";
  position: absolute;
  top: 0px;
  left: 0px;
  width: 88px;
  height: 88px;
  border-radius: 50%;
  padding: 1px;
  background: linear-gradient(to left,var(--co1),var(--co2),var(--co3));
  -webkit-mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  transition: var(--transi);
  animation: rotate 3s linear infinite 0s;
}
.imo_insta_HeaderContent{
  display: grid;
  grid-row-gap: 8px;
  position: relative;
}
.imo_insta nom {
  color: var(--tx_content);
  font-size: 16px;
  font-weight: 600;
  line-height: 20px;
}
verif,
locked{
content: " ";
height: 16px;
width: 16px;
display: inline-block;
margin: 0px 4px;
background-position: center center;
background-repeat: no-repeat;
}
verif::after{ display: none!important; }
verif{ background-image: var(--icon_verified-pink); background-size: 16px 16px; }
locked{ background-image: var(--icon_locked-pink); background-size: 12px 12px; }
.imo_insta .imo_insta_HeaderContent nom verif,
.imo_insta .imo_insta_HeaderContent nom locked{ vertical-align: -2px; }

.imo_insta nom:after{
  display: inline-block;
  content: "+ Follow";
  font-size: 9px;
  font-weight: bold;
  text-transform: uppercase;
  line-height: 16px;
  padding: 0px 6px;
  color: white;
  background-image: linear-gradient(90deg, var(--co2_light), var(--co2));
  background-size: 100% 100%;
  border-radius: 4px;
  position: absolute;
  top: 0px;
  right: 0px;
}
.imo_insta desc {
  display: block;
  padding: 8px;
  background: var(--neutral_1);
  border-radius: 4px;
  color: var(--tx_content);
  font-size: 12px;
}
.imo_insta desc strong{ color: var(--tx_content); }
.imo_insta follow { font-size: 10px; }
.imo_insta_HeaderRow2{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 1px;
  justify-items: center;
  align-items: center;
  overflow: hidden;
}
.imo_insta_HeaderRow2 stat{
  padding: 8px;
  display: block;
  width: 100%;
  text-align: center;
  background-color: var(--transp_1);
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}
/* ---- INSTA FIRST POST - STORIES ----- */
.imo_insta_Stories{
  display: flex;
  gap: 8px;
  padding: 8px 16px 16px 16px;
  width: 500px;
  overflow-x: auto;
  overflow-y: hidden;
  margin-top: -8px;
}
.imo_insta_Stories::-webkit-scrollbar{ display: none!important; }
.imo_insta_Stories a{ text-align: center; position: relative; transform: scale(100%,100%); transition: var(--transi); }
.imo_insta_Stories a:hover{ transform: scale(105%,105%);}
.imo_insta_Stories a > img{
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
    margin: 4px;
    transition: var(--transi);
    opacity: 1;
    box-shadow: none; 
}
.imo_insta_Stories a:hover img{ box-shadow: var(--boxshadow); }
.imo_insta_Stories a:after {
  z-index: 1;
  content: " ";
  position: absolute;
  top: 0px;
  left: 8px;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  padding: 1px;
  border: 1px solid white;
  transition: var(--transi);
  opacity: 1;
}
.imo_insta_Stories a.private:after{
  border: 1px solid #1BD14E;
}

.imo_insta_Stories a span{
  display: block;
  transition: var(--transi);
  color: var(--tx_content);
  width: 64px;
  max-width: 64px;
  font-size: 10px;
  line-height: 20px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  text-shadow: none;
  text-align: center;
}
.imo_insta_Stories a:hover span{ color: var(--co2); text-shadow: var(--boxshadow); }


.imo_insta_Tabs{
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-items: center;
  grid-column-gap: 1px;
}
.imo_insta_Tabs tab{
  display: block;
  width: 100%;
  text-align: center;
  background: var(--transp_1);
  padding: 8px;
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 0.5px;
  font-weight: 600;
  color: var(--co2);
  transition: var(--transi);
  cursor: pointer;
}
.imo_insta_Tabs tab.selected,
.imo_insta_Tabs tab:hover{
  background: var(--neutral_1);
  color: var(--tx_content);
}
.imo_insta_Tabs tab ion-icon{
  font-size: 14px;
  position: relative;
  top: 3px;
  margin-right: 2px;
  margin-top: -3px;
}
.imo_insta_Grid{
  display: grid;
  background: transparent;
  grid-template-columns: 1fr 1fr 1fr;
  grid-auto-rows: 166px;
  grid-row-gap: 1px;
  grid-gap: 1px;
  overflow: auto;
  opacity: 0;
  transform: scale(0%,0%);
  height: 0px;
  transform-origin: center center;
  transition: all 0.5s ease;
}
.imo_insta_Grid::-webkit-scrollbar{ display: none; }
.insta-showed {
  opacity: 1;
  transform: scale(100%,100%);
  min-height: 500px;
  background: var(--transp_1);
}
@keyframes showInsta{
  0%{ transform: scaleY(0%); opacity: 0; min-height: 0px; background: transparent; }
  100%{ transform: scaleY(100%); opacity: 1; min-height: 500px; background: var(--transp_1); }
}
.imo_insta_Grid br{ display: none; }

.grid-img{ 
  position: relative;
  aspect-ratio: 1;
  overflow: hidden;
}
.imo_insta_Grid img{
  aspect-ratio: 1;
  object-fit: cover;
}
img-stats{
  opacity: 0;
  transition: var(--transi);
  display: grid;
  grid-template-columns: auto auto;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 0%;
  text-align: center;
  color: var(--blanc);
  font-size: 12px;
  font-weight: 600;
  height: 0%;
  background: transparent;
  border-radius: 50%;
  transform-origin: center center;
  backdrop-filter: blur(0px) saturate(1);
  margin: calc((100% - 50px)/2) 50%;
}
.imo_insta_Grid .grid-img:hover img-stats{
  opacity: 1;
  background: var(--co3_fond);
  border-radius: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  backdrop-filter: blur(2px) saturate(0);
}
.grid-img > ion-icon{
    position: absolute;
    z-index: 3;
    color: var(--blanc);
    top: 8px;
    right: 8px;
    font-size: 14px;
    opacity: 1;
    transition: var(--transi);
}
.grid-img:hover > ion-icon{ opacity: 0; }
img-stats stat{
  display: grid;
  grid-gap: 8px;
  width: 64px;
  text-align: center;
  align-items: center;
  justify-items: center;
  font-size: 12px;
  height: 0px;
  opacity: 0;
  transition: var(--transi);
}
.imo_insta_Grid .grid-img:hover img-stats stat{
  height: 50px;
  opacity: 1;
}
img-stats stat ion-icon{    
  font-size: 24px;
  --ionicon-stroke-width: 20px;
}

/* ---- INSTA - POSTS ET ACTIONS ----- */
.insta_Post, 
.insta_Action{ border-radius: 12px; }
.insta_Post .imo_insta_Header{ margin: 16px; margin-bottom: 0px; }
.insta_Action .imo_insta_Header{ margin: 16px; }

.insta_Post .imo_insta_HeaderRow1,
.insta_Action .imo_insta_HeaderRow1{
  grid-template-columns: 40px auto;
  padding: 8px;
  border-radius: 8px 8px 0px 0px;
  grid-column-gap: 8px;
}
.insta_Action .imo_insta_HeaderRow1{ border-radius: 0px 0px 8px 8px; }
.insta_Post .imo_insta_HeaderContent,
.insta_Action .imo_insta_HeaderContent{ align-items: center; }
.insta_Post instapp,
.insta_Action instapp{ height: 40px; }
.insta_Post instapp img.imo_insta_pp,
.insta_Action instapp img.imo_insta_pp{
  width: 32px;
  height: 32px;
  top: 4px;
}
.insta_Post instapp:after,
.insta_Action instapp:after{ width: 40px; height: 40px; }
.insta_Action verif{
  vertical-align: -4px;
  margin: 0px;
}
.imo_insta.insta_Post nom{ font-size: 14px; }
.imo_insta.insta_Post nom:after {
  content: "Following";
  color: var(--co2);
  background: var(--neutral_1);
  border: 1px solid var(--neutral_1);
  top: 12px;
  right: 8px;
}
.insta_Post .imo_insta_Grid{
  opacity: 1;
  transform: scale(100%,100%);
  height: auto;
  display: block;
  position: relative;
  width: 500px;
  height: 500px;
  box-shadow: var(--boxshadow);
  background-color: var(--neutral_1);
  transition: var(--transi);
}
.insta_Post .imo_insta_Grid img{ position: absolute; transition: var(--transi); width: 100%; height:100%; }
div.insta_nav{
  position: relative;
  top: -40px;
  margin-bottom: -40px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  padding: 16px;
  flex-gap: 8px;
  background-image: linear-gradient(180deg, transparent, var(--co3_fond));
}
div.insta_nav a{
  display: inline-block;
  width: 8px;
  height: 8px;
  content: " ";
  border: 1px solid white;
  border-radius: 50%;
  margin: 0px!important;
}
div.insta_nav a.selected{ background: white; }
.imo_insta_PostInfo{
  margin: 0px 16px 16px 16px;
  border-radius: 0px 0px 8px 8px;
  overflow: hidden;
  display: grid;
  grid-row-gap: 1px;
}
.PostInfo_Buttons,
.PostInfo_Desc,
.PostInfo_Comments,
.PostInfo_Date{
  padding: 8px;
  background: var(--transp_1);
}
.PostInfo_Buttons{
  display: flex;
  gap: 8px;
  font-size: 12px;
  line-height: 20px;
  align-items: center;
}
.PostInfo_Buttons ion-icon{ 
  font-size: 20px; 
  --ionicon-stroke-width: 20px; 
  color: var(--tx_content);
  transition: var(--transi);
}
.PostInfo_Buttons ion-icon:hover{ color: var(--co2); }
.PostInfo_Comments{ 
  background: var(--transp_1); 
  display: grid;
  grid-auto-rows: max-content;
  grid-row-gap: 1px;
  max-height: 192px;
  overflow: auto;
}
.PostInfo_Comments::-webkit-scrollbar-thumb{background-color: var(--co2)!important;}
.PostInfo_Comments,
.PostInfo_Date{
  color: var(--tx_content);
  font-size: 9px;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  line-height: 20px;
}

.PostInfo_Comments comment{
  font-size: 12px;
  letter-spacing: 0px;
  text-transform: initial;
  line-height: 20px;
  color: var(--tx_content);
}
.imo_insta_Titre {
  padding: 4px 8px;
  border-radius: 8px 8px 0px 0px;
  background: var(--transp_1);
  color: var(--tx_content);
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-size: 9px;
}
.imo_insta_Titre ion-icon{ vertical-align: -1px; }
.imo_insta_ActionContent {
  display: grid;
  grid-row-gap: 4px;
  grid-auto-rows: min-content;
  align-items: center;
}
.imo_insta_ActionContent text{
  height: fit-content;
  line-height: 20px;
}
.imo_insta_ActionContent text br{ display: initial!important; }
.imo_insta_ActionContent strong{ font-weight: 600!important; display: inline-block; color: var(--tx_content); }
.imo_insta_ActionButtons {
  display: flex;
  gap: 4px;
  font-size: 11px;
  line-height: 16px;
  align-items: center;
}
.imo_insta_ActionButtons ion-icon:first-child{ color: var(--co2); vertical-align: -1px; }
.imo_insta_ActionButtons ion-icon:nth-child(2){ color: var(--tx_content); vertical-align: -1px; }
.imo_insta_ActionDate {
  font-size: 9px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  color: var(--tx_content);
}

/* SPOILER CONTENT
.imo_insta_Grid:has(.spoiler):before {
  display: grid;
  content: "Contenu Potentiellement Sensible";
  font-size: 12px;
  line-height: 16px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-weight: bold;
  color: var(--violet_dark);
  text-align: center;
  justify-items: center;
  width: 500px;
  max-height: 500px;
  padding: calc(50% - 16px) 0px;
  position: absolute;
  z-index: 3;
  top: 0;
  left: 0;
}*/
.insta_Post .imo_insta_Grid img.spoiler {
  filter: blur(10px) grayscale(1) brightness(0.7);
  position: relative;
  transition: var(--transi);
}
.insta_Post .imo_insta_Grid img.spoiler:hover{
  filter: blur(0px) grayscale(0) brightness(1);
}

/* ------ INSTA - STORIES ------- */
.imo_insta_story{
  width: 280px;
  height: 500px;
  overflow: hidden;
  margin: auto;
  box-shadow: var(--boxshadow);
  border-radius: 8px;
  position: relative;
  color: white;
  background-color: var(--transp_2);
  text-align: center;
}
.imo_insta_story br{ display: none; }
.imo_insta_story > ion-icon{
  font-size: 24px;
  position: absolute;
  bottom: 8px;
  right: 8px;
  transition: var(--transi);
}
.imo_insta_story > ion-icon:hover{ color: var(--co2); }
.story_img{
  position: absolute;
  top: 0px;
  left: 0px;
  width: 280px;
  height: 500px;
}
.story_img img{
  position: absolute;
  top: 0px;
  left: 0px;
  object-fit: cover;
  height: 500px;
  width: 280px;
}
.story_img:after{
  position: absolute;
  top: 0px;
  width: 280px;
  height: 250px;
  display: block;
  content: " ";
  background-image: linear-gradient(180deg, var(--co3_fond), transparent);
}
.story_nav{
  position: absolute;
  z-index: 3;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(32px, 1fr));
  grid-column-gap: 8px;
  width: 100%;
  max-width: 280px;
  padding: 8px;
}
.story_nav a.msg_ong {
  width: 100%;
  background: white!important;
  height: 2px;
  content: " ";
  display: block;
  opacity: 0.5;
  transition: var(--transi);
  padding: 0px!important;
  border: 0px!important;
}
.story_nav a.msg_ong.selected{ opacity: 1; }
.imo_insta_StoryHeader {
  position: absolute;
  z-index: 3;
  top: 12px;
  margin: 8px;
  padding: 8px;
  font-size: 12px;
  line-height: 16px;
  background: rgba(var(--blanc_rgb),0.4);
  box-shadow: var(--boxshadow);
  border-radius: 4px;
  width: 264px;
  display: flex;
  gap: 8px;
  align-items: center;
  text-align: left;
}
.imo_insta_StoryHeader > strong{ font-weight: 600!important; }
.imo_insta_StoryHeader > span{
  display: block;
  font-size: 10px;
}
.imo_insta_StoryHeader ion-icon{
  font-size: 8px;
  padding: 4px;
  background: #1BD14E;
  border-radius: 4px;
  float: right!important;
  position: absolute;
  right: 8px;
}
a.instamention{
  position: relative;
  z-index: 3;
  display: block;
  margin: auto;
  text-align: center;
  font-size: 16px;
  line-height: 24px;
  text-shadow: var(--boxshadow);
  transition: var(--transi);
  transform: scale(100%,100%);
}
instatag{
  position: relative;
  z-index: 4;
  display: inline-block;
  padding: 2px 8px;
  background: white;
  border-radius: 4px;
  box-shadow: var(--boxshadow);
  font-size: 16px;
  line-height: 24px;
  transition: var(--transi);
  transform: scale(100%,100%);
}
instatag span{
  background: linear-gradient(90deg,var(--co2), var(--imo));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
instatag:hover, a.instamention:hover{ transform: scale(105%,105%); }


/* ------ ELIXIR ------- */
.imo_elixir {
  width: 280px;
  height: 560px;
  background: var(--neutral_1);
  box-shadow: var(--boxshadow);
  border-radius: 64px 8px 64px 8px;
  overflow: hidden;
  margin: auto;
  position: relative;
  z-index: 0;
}
.imo_elixir br{display: none;}
.imo_elixir bio br{display: block;}
.wave_container{
  transform: rotate(180deg);
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  
  height: 144px;
  width: 100%;
  overflow: hidden;
  position: absolute;
  bottom: 0;
  left: 0;
}
.wave {
  position: absolute;
  bottom: -24px;
  width: 6400px;
  height: 100%;
  animation: wave 7s cubic-bezier(.36,.45,.63,.53) infinite;
  transform: translate3d(0,0,0);
}
.wave:nth-of-type(2) {
  bottom: -24px;
  animation: wave 7s cubic-bezier(.36,.45,.63,.53) -.125s infinite, swell 7s ease -1.25s infinite;
  opacity: 1;
}
.foudre .wave { background: var(--wave-foudre) repeat-x; }
.feu .wave { background: var(--wave-feu) repeat-x; }
.air .wave { background: var(--wave-air) repeat-x; }
.eau .wave { background: var(--wave-eau) repeat-x; }
.plante .wave { background: var(--wave-plante) repeat-x; }
.imo_elixir_header {
  color: white;
  font-size: 9px;
  font-weight: 600;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  line-height: 16px;
  text-align: center;
  padding: 16px 16px 0px 16px;
  position: relative;
  z-index: 1;
}
.imo_elixir_header ion-icon{ vertical-align: -1px; }
.imo_elixir_pp{ margin: 32px 0px 24px 0px; position: relative; }
.imo_elixir_pp .msg_ong_contenu{
  display: block;
  width: 112px;
  height: 112px;
  overflow: hidden;
  margin: auto;
  border-radius: 32px 0px 32px 0px;
  box-shadow: var(--boxshadow);
  position: relative;
  z-index: 1;
  background-color: var(--neutral_1);
}
.imo_elixir_pp .msg_ong_contenu img{ position: absolute; top: 0px; left: 0px; object-fit: cover; }
.imo_elixir_pp .tabs-onglets{
  display: grid;
  grid-row-gap: 6px;
  position: absolute;
  top: 0px;
  right: 72px;
  z-index: 3;
  grid-auto-rows: 8px;
  width: 8px;
  justify-items: center;
}
.imo_elixir_pp .tabs-onglets a.msg_ong {
  display: block;
  height: 6px;
  width: 6px;
  padding: 0px!important;
  background: rgba(var(--bg1_rgb),0)!important;
  border: 1px solid white!important;
  border-radius: 50%;
  position: relative;
  z-index: 3;
  cursor: pointer;
  content: " ";
}
.imo_elixir_pp .tabs-onglets a.msg_ong.selected { background: white!important; }
.imo_elixir_profil {
  margin: 0 24px;
  display: flex;
  height: auto;
  flex-direction: column;
  align-items: flex-start;
  align-content: flex-start;
}
.imo_elixir_profil nom {
  display: block;
  font-size: 12px;
  line-height: 24px;
  color: var(--tx_content);
}
.imo_elixir_profil nom strong{
  font-size: 16px;
  color: var(--tx_content);
  font-weight: 500;
  margin-right: 2px;
}
.imo_elixir_profil tag{
  display: inline-block;
  padding: 0px 4px;
  line-height: 16px;
  font-size: 9px;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.5px;
  color: white;
  border-radius: 2px;
  margin: 4px 0px;
}
.imo_elixir_profil tag i{ color: white!important; }
.imo_elixir_profil tag ion-icon{ vertical-align: -1px; }
.foudre .imo_elixir_profil tag{ background: var(--rai); }
.feu .imo_elixir_profil tag{ background: var(--hii); }
.air .imo_elixir_profil tag{ background: var(--fug); }
.eau .imo_elixir_profil tag{ background: var(--sui); }
.plante .imo_elixir_profil tag{ background: var(--doj); }
.imo_elixir_details {
  display: grid;
  grid-row-gap: 1px;
  grid-auto-rows: max-content;
  overflow: hidden;
  height: auto;
  padding-top: 12px;
  width: 100%;
  margin-top: 8px;
  border-top: 1px solid var(--neutral_1);
  align-items: start;
  align-content: start;
}
.imo_elixir_details info {
  width: 100%;
  background: var(--neutral_2);
  font-size: 9px;
  line-height: 16px;
  color: var(--tx_content);
  padding: 2px 4px;
  display: flex;
  align-items: center;
  gap: 6px;
  margin-top: 0px;
  border: 0px;
}
.imo_elixir_details info:nth-child(2){ border-radius: 4px 4px 0px 0px; }
.imo_elixir_details info:nth-child(4){ border-radius: 0px 0px 4px 4px; }
.imo_elixir_details tags {
  padding-top: 8px;
  padding-bottom: 8px;
  gap: 4px;
  display: flex;
  max-width: 232px;
  flex-wrap: wrap;
  width: 100%;
  grid-auto-rows: 20px;
  align-items: start;
  align-content: start;
  justify-items: start;
}
.imo_elixir_details tags span {
  display: inline-flex;
  font-size: 9px;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.5px;
  padding: 2px 4px;
  line-height: 16px;
  border-radius: 4px;
  color: var(--tx_content);
  background: var(--neutral_2);
}
.imo_elixir_details bio {
  max-height: 96px;
  height: -webkit-fill-available;
  overflow: auto;
  border-radius: 8px;
  padding: 8px;
  font-size: 10px;
  line-height: 16px;
  color: var(--tx_content);
  background: var(--neutral_2);
}
.imo_elixir_details bio::-webkit-scrollbar{ display: none!important; }
.imo_elixir_buttons{
  display: grid;
  grid-template-columns: 48px 48px;
  justify-content: center;
  grid-column-gap: 24px;
  width: 100%;
  height: 48px;
  margin: 12px 0px 24px 0px;
  position: absolute;
  bottom: 0px;
}
.imo_elixir_buttons ion-icon{
  background: var(--neutral_2);
  width: 24px;
  height: 24px;
  padding: 12px;
  border-radius: 50%;
  box-shadow: var(--boxshadow);
  color: var(--tx_content);
  transform: scale(100%,100%);
  transition: var(--transi);
}
.imo_elixir_buttons ion-icon:first-child{ color: #CF436B; }
.imo_elixir_buttons ion-icon:first-child:hover{ transform: scale(104%,104%); animation: pulselike 2s ease infinite; }
.imo_elixir_buttons ion-icon:nth-child(2):hover{ animation: shake 1s ease infinite; }

/* ------ ELIXIR - LIKES ------- */
.imo_elixir.like{
  height: auto;
  display: grid;
  text-align: center;
  align-items: center;
  align-content: center;
  justify-items: center;
  padding: 16px;
  background: var(--transp_1);
}
.imo_elixir.like .elixir_like_content{
  width: 100%;
  background: var(--neutral_1);
  padding: 16px;
  display: flex;
  border-radius: 48px 8px 48px 8px;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}
.imo_elixir.like nom{
  color: var(--tx_content);
  font-size: 12px;
  line-height: 24px;
  width: 100%;
  padding: 0px 24px;
}
.imo_elixir.like nom strong{ display: block; color: var(--tx_content); font-weight: 500; letter-spacing: 0.5px; font-size: 16px; } 
.imo_elixir.like ion-icon[name="heart"]{
  background: var(--neutral_2);
  width: 24px;
  height: 24px;
  padding: 12px;
  border-radius: 50%;
  box-shadow: var(--boxshadow);
  transform: scale(100%,100%);
  transition: var(--transi);
  color: #CF436B; 
  animation: pulselike 2s ease infinite;
}
.imo_elixir.like ion-icon[name="heart"]:hover{ transform: scale(104%,104%); }
.imo_elixir.like.eau ion-icon[name="heart"]{ color: var(--sui); animation: pulsesui 2s ease infinite; }

/* ------ ELIXIR MATCH ----- */
.imo_elixir.match{ width: 500px; }
.imo_elixir.match icons{display: flex; align-items: center; gap: 16px; }  
.imo_elixir.match icons img{ width: 64px; border-radius: 50%; }
.imo_elixir.match tit{ font-size: 16px; line-height: 24px; width: 100%; font-weight: 600; order: initial; text-align: center;}
.imo_elixir.like.match nom strong { display: inline-block; font-weight: 500; font-size: 12px; }


/* ---- MINI INSTA ----- */
.imo_insta.mini{ width: 360px; border-radius: 64px 8px 8px 8px; }
.mini .imo_insta_Header{ margin-bottom: 0px; }
.mini .imo_insta_HeaderRow1{ grid-template-columns: 72px auto; grid-column-gap: 8px; border-radius: 50px 4px 0px 0px; }
.mini instapp img.imo_insta_pp{ height: 56px; width: 56px; top: 3px;}
.mini instapp:after{ top: -1px; left: 4px; width: 64px; height: 64px; }
.mini .imo_insta_HeaderContent { grid-row-gap: 4px; }
.mini nom{font-size: 12px!important;} .mini nom:after{display: none!important;} .mini .imo_insta desc:not(.mini .PostInfo_Desc desc){font-size: 10px!important;}
.mini .imo_insta_Grid{ min-height: 240px; transform: none; opacity: 1; background: var(--bg1); box-shadow: var(--boxshadow); grid-auto-rows: 119px;overflow:auto;}
.mini .imo_insta_HeaderRow2#stats { grid-column-gap: 0px; margin: 16px; margin-top: 0px; border-radius: 0px 0px 4px 4px; }
.mini .imo_insta_HeaderRow2 stat{ font-size: 9px; line-height: 16px; }
.mini .imo_insta_HeaderRow2 stat strong{ font-size: 10px; display: block;}

.mini.insta_Post{ border-radius: 8px; }
.mini.insta_Post .imo_insta_Header{ margin: 16px; margin-bottom: 0px; }
.mini.insta_Post .imo_insta_HeaderRow1{ border-radius: 8px 8px 0px 0px; grid-template-columns: 40px auto; }
.mini.insta_Post instapp img.imo_insta_pp{ width: 32px; height: 32px; top: 4px; }
.mini.insta_Post instapp:after{ width: 40px!important; height: 40px!important; top: 0px!important; left: 0px!important; }
.mini.insta_Post img.mini-insta{ width: 360px; height: auto; box-shadow: var(--boxshadow); aspect-ratio: unset; position: relative; }
.mini.insta_Post .imo_insta_PostInfo { margin: 0px 16px 16px 16px; }
